import pytest

from collections import namedtuple


TestCase = namedtuple("TestCase", ["args", "kwargs",  "expected"])


@pytest.fixture(
        params = [
                TestCase('Simple string', ['bli-blah-bloh !?'], None),
                TestCase('fqdn', ['this.is.my.domain'], None),
            ]
        )
def test_case(request):
    return request.param

